<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GncShouYunBean" />
    </data>

    <LinearLayout
        android:id="@+id/ll_content"
        shape_bg_color="@{@color/white}"
        shape_radius="@{6}"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="10dp"
        android:layout_marginVertical="5dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:paddingHorizontal="10dp"
        android:paddingVertical="5dp">

        <CheckBox
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:button="@drawable/p_checkbox_selector"
            android:checked="@={bean.checked}" />

        <LinearLayout
            android:id="@+id/shouyunItem"
            android:layout_width="310dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="320dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:gravity="center_vertical">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="2">

                        <TextView
                            completeSpace="@{4}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="运单号"
                            android:textColor="@color/text_normal"
                            android:textStyle="bold" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:text="@{bean.wbNo}"
                            android:textColor="@color/text_normal"
                            android:textStyle="bold" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:gravity="center_vertical">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1">

                        <TextView
                            completeSpace="@{4}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="平板车" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:text="@{bean.location}" />

                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1">

                        <TextView
                            completeSpace="@{3}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="代理人" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:text="@{bean.agentCode}" />

                    </LinearLayout>



                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:gravity="center_vertical">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1">

                        <TextView
                            completeSpace="@{4}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="件数" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:text="@{bean.pc}" />

                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1">

                        <TextView
                            completeSpace="@{3}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="重量" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:text="@{bean.weight}" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:gravity="center_vertical">
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1">

                        <TextView
                            completeSpace="@{4}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="品名" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:text="@{bean.goods}" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1">

                        <TextView
                            completeSpace="@{3}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="收运人" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:text="@{bean.username}" />

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:gravity="center_vertical">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1">

                        <TextView
                            completeSpace="@{4}"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="入库时间" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            android:text="@{bean.opDate}" />

                    </LinearLayout>

                </LinearLayout>
            </LinearLayout>


        </LinearLayout>

        <View
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_weight="1" />

        <ImageView
            android:layout_width="25dp"
            android:layout_height="25dp"
            android:src="@drawable/img_pda_right" />


    </LinearLayout>

</layout>